Subject: Re: 2 CPUs, but only one is used

From: Haren Myneni <[email-masked]>
Date: Tue, 19 Dec 2006 20:14:22 -0800

Giuliano Pochini wrote:

>On Sun, 17 Dec 2006 14:41:27 +0100
>Giuliano Pochini <[email-masked]> wrote:
>
>  
>
>>I have a dual G4 MDD mac running linux 2.6.19. When I boot with maxcpus=1 and
>>then I issue "echo 1 >/sys/devices/system/cpu/cpu1/online" the second CPU is
>>put online without errors, but it stays idle+wait=100% and of course
>>user+system+nice=0%. It works fine without maxcpus=1. No problems with 2.6.18.
>>
>>I saw that there are some cpu hotplug related changes in 2.6.19, but I have
>>no access to a non-ppc dual cpu box to check if the problem also affects
>>other architectures right now.
>>    
>>
>
>I tried to reproduce the problem on an intel box, but I couldn't. /sys
>contains only the cpu0 file if it boots with maxcpus=1.
>  
>
On powerpc, when maxcpus=1 is passed, it does not reflect that change in 
cpu_possible_map. This possible bitmap is created based on device-tree. 
Where as on i386, it does. I.e, cpu_possible_map contains only one cpu. 
/sys entries will be created based on cpu_possible_map (I think). Hence, 
you noticed only cpu0 entry on Intel box. 

- Haren

>
>--
>Giuliano.
>_______________________________________________
>Linuxppc-dev mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-dev
>  
>